/*
//*****************************************************************************
/*
*	@(#) LineAttributes_Info.java
*
*	Project:		Java3dTree
*	Client:		Java 3D Community
*
*	Project Information:
*		dselman@tornadolabs.com
*		http://www.tornadolabs.com
*	
*	@author Daniel Selman: dselman@tornadolabs.com
*/
//*****************************************************************************

package com.tornadolabs.j3dtree;
import javax.media.j3d.*;

public class TransparencyAttributes_Info extends ObjectInfo
{

	private static final int[] 		m_kCapabilityArray = 
												{
													TransparencyAttributes.ALLOW_MODE_READ,
													TransparencyAttributes.ALLOW_VALUE_READ
												};

	public TransparencyAttributes_Info()
	{
	}
	
	java.util.Enumeration getChildren( Object obj )
	{
		return super.getChildren( obj );
	}
	
	public int[] getCapabilityBits()
	{
		return createCompoundArray( m_kCapabilityArray, super.getCapabilityBits() );
	}
	
	public String getInfo( Object obj )
	{
		String szText = super.getInfo( obj );

		szText = insertSectionBreak( szText );
		szText += "Transparency Attributes\r\n";
		
		TransparencyAttributes transparencyAttribs = (TransparencyAttributes) obj;
				
		szText += "Transparency: " + transparencyAttribs.getTransparency() + "\r\n";
		szText += "Mode: " + transparencyAttribs.getTransparencyMode() + "\r\n";

		return szText;
	}
}